/*
Copyright 2006 Frank van der Loo

This file is part of Paratim.

Paratim is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Paratim is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Paratim; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef GUN_H
#define GUN_H

#include <iostream>
#include "SDL.h"
#include "sprite.h"

class gun : public sprite
{
  private:
    int angle;
    SDL_Rect src, base, base_top;

  public:
    gun(char *path, char *file);
    void left();
    void right();
    SDL_Rect getSrcRect() {return src;};
    void setSrcRect(SDL_Rect rect){src = rect;};
    int getAngle(){return angle;};
    SDL_Rect getBaseRect() {return base;};
    SDL_Rect getBaseTopRect() {return base_top;};
};
#endif
